{html_head}
<link rel="stylesheet" href="{$OSM_PATH}fontello/css/osm.css" />
<style>
  {literal}
    .osm_layout {
      text-align: left;
      border: 2px solid rgb(221, 221, 221);
      padding: 1em;
      margin: 1em;
    }
  {/literal}
</style>
{/html_head}

This plugin display geographical location in your gallery using <a href="http://www.openstreetmap.org/" target="_blank">OpenStreetMap</a>.
<br/><br/>
Refer to the <a href="https://github.com/xbgmsharp/piwigo-openstreetmap/wiki" target="_blanck">plugin documentation</a> for additional information. Create an <a href="https://github.com/xbgmsharp/piwigo-openstreetmap/issues" target="_blanck">issue</a> for support, or feedback, or feature request.

<div class="osm_layout">
  <legend>{'Statistics'|@translate}</legend>
  <ul>
    <li class="update_summary_new">{$NB_GEOTAGGED} geotagged items in your gallery</li>
  </ul>
</div>

<form method="post" action="" class="properties">
	<fieldset>
		<legend>{'R_MAP'|@translate}</legend>
		<ul>
			<li>
				<label>{'SHOWLOCATION'|@translate} : </label>
				<label><input type="radio" name="osm_right_panel" value="true" {if $right_panel.enabled}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_right_panel" value="false" {if not $right_panel.enabled}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'SHOWLOCATION_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ADD_BEFORE'|@translate} : </label>
				<select name="osm_add_before">
					{html_options options=$AVAILABLE_ADD_BEFORE selected=$right_panel.add_before}
				</select>
				<br/><small>{'ADD_BEFORE_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'HEIGHT'|@translate} : </label>
				<input type="text" value="{$right_panel.height}" name="osm_height" size="4" required/>
				<br/><small>{'HEIGHT_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ZOOM'|@translate} : </label>
				<select name="osm_zoom">
					{html_options options=$AVAILABLE_ZOOM selected=$right_panel.zoom}
				</select>
				<br/><small>{'ZOOM_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'RIGHTLINK'|@translate} : </label>
				<input type="text" value="{$right_panel.link}" name="osm_right_link" size="20"/>
				<br/><small>{'RIGHTLINK_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'RIGHTLINKCSS'|@translate} : </label>
				<input type="text" value="{$right_panel.linkcss}" name="osm_right_linkcss" size="60" placeholder="vertical-align: top; color: red;"/>
				<br/><small>{'RIGHTLINKCSS_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'SHOWOSM'|@translate} : </label>
				<label><input type="radio" name="osm_showosm" value="true" {if $right_panel.showosm}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_showosm" value="false" {if not $right_panel.showosm}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'SHOWOSM_DESC'|@translate}</small>
			</li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>{'L_MAP'|@translate}</legend>
		<ul>
			<li>
				<label>{'SHOWWORLDMAPLEFT'|@translate} : </label>
				<label><input type="radio" name="osm_left_menu" value="true" {if $left_menu.enabled}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_left_menu" value="false" {if not $left_menu.enabled}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'SHOWWORLDMAPLEFT_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'LEFTLINK'|@translate} : </label>
				<input type="text" value="{$left_menu.link}" name="osm_left_link" size="20"/>
				<br/><small>{'LEFTLINK_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'LEFTPOPUP'|@translate} : </label>
				<select name="osm_left_popup">
					{html_options options=$AVAILABLE_POPUP selected=$left_menu.popup}
				</select>
				<br/><small>{'LEFTPOPUP_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'LEFTPOPUPINFO'|@translate} : </label><br/>
				<div style="padding-left: 25px">
				  <input type="checkbox" name="osm_left_popupinfo_name" value="true" {if $left_menu.popupinfo_name}checked="checked"{/if}/> {'POPUPNAME'|@translate}<br />
				  <input type="checkbox" name="osm_left_popupinfo_img" value="true" {if $left_menu.popupinfo_img}checked="checked"{/if}/> {'POPUPTHUMB'|@translate}<br /> 
				  <input type="checkbox" name="osm_left_popupinfo_link" value="true" {if $left_menu.popupinfo_link}checked="checked"{/if}/> {'POPUPLINK'|@translate}<br /> 
				  <input type="checkbox" name="osm_left_popupinfo_comment" value="true" {if $left_menu.popupinfo_comment}checked="checked"{/if}/> {'POPUPCOMMENT'|@translate}<br /> 
				  <input type="checkbox" name="osm_left_popupinfo_author" value="true" {if $left_menu.popupinfo_author}checked="checked"{/if}/> {'POPUPAUTHOR'|@translate}
				</div>
				<small>{'LEFTPOPUPINFO_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ZOOM'|@translate} : </label>
				<select name="osm_left_zoom">
					{html_options options=$AVAILABLE_ZOOM selected=$left_menu.zoom}
				</select>
				<br/><small>{'ZOOM_DESC'|@translate}, default is 2</small>
			</li>
			<li>
				<label>{'CENTER_MAP'|@translate} : </label>
				<input type="text" value="{$left_menu.center}" name="osm_left_center" size="30" placeholder="0,0"/>
				<br/><small>{'CENTER_MAP_DESC'|@translate}. lat and lng separated by a comma, default is 0,0</small>
			</li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>{'G_MAP'|@translate}</legend>
		<ul>
			<li>
				<img id="tile_preview" align="right" src="">
				<label>{'BASELAYER'|@translate} : </label>
				<select name="osm_baselayer" id="osm_baselayer" onchange="tile_toggle(this)">
					{html_options options=$AVAILABLE_BASELAYER selected=$map.baselayer}
				</select>
				<br/><small>{'BASELAYER_DESC'|@translate}</small><br/>
				<small>Check out <a href="http://leaflet-extras.github.io/leaflet-providers/preview/" target="_blank">this example</a> with half a hundred different layers to choose from.</small>
			</li>
			<div id="custom-tile-toggle" style="visibility:hidden; width:0px; height:0px; display:none;">
				<li>
					<label>{'CUSTOMBASELAYER'|@translate} : </label>
					<input type="text" value="{$map.custombaselayer}" name="osm_custombaselayer" size="40"/>
					<br/><small>{'CUSTOMBASELAYER_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'CUSTOMBASELAYERURL'|@translate} : </label>
					<input type="text" value="{$map.custombaselayerurl}" name="osm_custombaselayerurl" size="40"/>
					<br/><small>{'CUSTOMBASELAYERURL_DESC'|@translate}</small>
				</li>
			</div>
			<li>
				<label>{'NOWORLDWARP'|@translate} : </label>
				<label><input type="radio" name="osm_noworldwarp" value="true" {if $map.noworldwarp}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_noworldwarp" value="false" {if not $map.noworldwarp}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'NOWORLDWARP_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ATTRLEAFLET'|@translate} : </label>
				<label><input type="radio" name="osm_attrleaflet" value="true" {if $map.attrleaflet}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_attrleaflet" value="false" {if not $map.attrleaflet}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'ATTRLEAFLET_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ATTRIMAGERY'|@translate} : </label>
				<label><input type="radio" name="osm_attrimagery" value="true" {if $map.attrimagery}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_attrimagery" value="false" {if not $map.attrimagery}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'ATTRIMAGERY_DESC'|@translate}</small>
			</li>
			<li>
				<label>{'ATTRPLUGIN'|@translate} : </label>
				<label><input type="radio" name="osm_attrplugin" value="true" {if $map.attrplugin}checked="checked"{/if}/> {'Yes'|@translate}</label>
				<label><input type="radio" name="osm_attrplugin" value="false" {if not $map.attrplugin}checked="checked"{/if}/> {'No'|@translate}</label>
				<br/><small>{'ATTRPLUGIN_DESC'|@translate}</small>
			</li>

		</ul>
           <fieldset>
		  <legend>{'H_PIN'|@translate}</legend>
		  <ul>
			<li>
				<img id="pin_preview" align="left" src="">
				<label >{'PIN'|@translate} : </label>
				<select name="osm_pin" id="osm_pin" onchange="pin_toggle(this)">
					{html_options options=$AVAILABLE_PIN selected=$pin.pin}
				</select>
				<br/><small>{'PIN_DESC'|@translate}</small>
			</li>
			<div id="custom-pin-toggle" style="visibility:hidden; width:0px; height:0px; display:none;">
				<li>
					<label>{'PINPATH'|@translate} : </label>
					<input type="text" value="{$pin.pinpath}" name="osm_pinpath" size="40"/>
					<br/><small>{'PINPATH_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'PINSIZE'|@translate} : </label>
					<input type="text" value="{$pin.pinsize}" name="osm_pinsize" size="6"/>
					<br/><small>{'PINSIZE_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'PINSHADOWPATH'|@translate} : </label>
					<input type="text" value="{$pin.pinshadowpath}" name="osm_pinshadowpath" size="40"/>
					<br/><small>{'PINSHADOWPATH_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'PINSHADOWSIZE'|@translate} : </label>
					<input type="text" value="{$pin.pinshadowsize}" name="osm_pinshadowsize" size="4"/>
					<br/><small>{'PINSHADOWSIZE_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'PINOFFSET'|@translate} : </label>
					<input type="text" value="{$pin.pinoffset}" name="osm_pinoffset" size="4"/>
					<br/><small>{'PINOFFSET_DESC'|@translate}</small>
				</li>
				<li>
					<label>{'PINPOPUPOFFSET'|@translate} : </label>
					<input type="text" value="{$pin.pinpopupoffset}" name="osm_pinpopupoffset" size="4"/>
					<br/><small>{'PINPOPUPOFFSET_DESC'|@translate}</small>
				</li>
			</div>
		  </ul>
		</fieldset>
	</fieldset>

	<p>
		<input class="submit" type="submit" value="{'Save Settings'|@translate}" name="submit"/>
	</p>
</form>

{literal}
<script type="text/javascript">
function tile_toggle()
{
	var div = document.getElementById("custom-tile-toggle");
	var select = document.getElementById("osm_baselayer");
	//alert(select.selectedIndex);
	if (select.selectedIndex == 8) // If custom
	{
		div.removeAttribute("style");
	} else {
		div.setAttribute("style","visibility:hidden; width:0px; height:0px; display:none;");
	}
	tile_preview();
}

function pin_toggle()
{
	var div = document.getElementById("custom-pin-toggle");
	var select = document.getElementById("osm_pin");
	//alert(select.selectedIndex);
	if (select.selectedIndex == 9) // If custom
	{
		div.removeAttribute("style");
	} else {
		div.setAttribute("style","visibility:hidden; width:0px; height:0px; display:none;");
	}
	pin_preview();
}

function tile_preview()
{
	var select = document.getElementById("osm_baselayer");
	baselayer = new Array(
		'https://c.tile.openstreetmap.org/5/15/11.png',
		'http://c.www.toolserver.org/tiles/bw-mapnik/5/15/11.png',
		'http://c.tile.openstreetmap.fr/hot/5/15/11.png',
		'http://c.tile.openstreetmap.de/tiles/osmde/5/15/11.png',
		'http://c.tile.openstreetmap.fr/hot/5/15/11.png',
		'http://otile1.mqcdn.com/tiles/1.0.0/osm/5/15/11.png',
		'http://oatile1.mqcdn.com/tiles/1.0.0/sat/5/15/11.png',
		'http://a.tile.cloudmade.com/7807cc60c1354628aab5156cfc1d4b3b/997/256/5/15/11.png',
		'NULL'
	);
	//alert(baselayer[select.selectedIndex]);
	var img_elem = document.getElementById("tile_preview");
	if (baselayer[select.selectedIndex] == "NULL")
	{
		img_elem.setAttribute("style","visibility:hidden; width:0px; height:0px; display:none;");
	} else {
		img_elem.removeAttribute("style");
		img_elem.src = baselayer[select.selectedIndex];
	}
}

function pin_preview()
{
	var select = document.getElementById("osm_pin");
	pins = new Array(
		'NULL',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/marker-blue.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/marker-green.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/marker-red.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/leaf-green.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/leaf-orange.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/leaf-red.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/mapicons-blue.png',
		'{/literal}{$OSM_PATH}{literal}leaflet/images/mapicons-green.png',
		'NULL',
		'NULL'
	);
	//alert(pins[select.selectedIndex]);
	var img_elem = document.getElementById("pin_preview");
	if (pins[select.selectedIndex] == "NULL")
	{
		img_elem.setAttribute("style","visibility:hidden; width:0px; height:0px; display:none;");
	} else {
		img_elem.removeAttribute("style");
		img_elem.setAttribute("style","padding-right: 5px;");
		img_elem.src = pins[select.selectedIndex];
	}
}

window.onload = pin_preview();
window.onload = tile_preview();

</script>
{/literal}